small fixes

Signed-off-by: Jess Frazelle <me@jessfraz.com>
This commit is contained in:
Jess Frazelle 2016-08-11 15:43:41 -07:00
parent b8389ebdd5
commit 7be073bc3f
No known key found for this signature in database
GPG Key ID: 18F3685C0022BFF3
4 changed files with 29 additions and 26 deletions

View File

@ -6,11 +6,9 @@ build_and_push(){
suite=$2
build_dir=$3
(
set -x
docker build --rm --force-rm -t r.j3ss.co/${base}:${suite} ${build_dir} || exit 1
)
docker build --rm --force-rm -t r.j3ss.co/${base}:${suite} ${build_dir} || return 1
# on successful build, push the image
echo " --- "
echo "Successfully built ${base}:${suite} with context ${build_dir}"
echo " --- "
@ -30,7 +28,6 @@ build_and_push(){
docker tag r.j3ss.co/${base}:${suite} r.j3ss.co/${base}:latest
docker push --disable-content-trust=false r.j3ss.co/${base}:latest
fi
}
main(){
@ -58,19 +55,20 @@ main(){
{
build_and_push "${base}" "${suite}" "${build_dir}"
} || {
# add to errors
ERRORS+=("${base}:${suite}")
}
echo
echo
done
# add to errors
ERRORS+=("${base}:${suite}")
}
echo
echo
done
if [ ${#ERRORS[@]} -eq 0 ]; then
echo "No errors, hooray"
else
echo "These images failed: ${ERRORS[@]}"
exit 1
fi
if [ ${#ERRORS[@]} -eq 0 ]; then
echo "No errors, hooray!"
else
echo "[ERROR] Some images did not build correctly, see below." >&2
echo "These images failed: ${ERRORS[@]}" >&2
exit 1
fi
}
main $@

View File

@ -28,7 +28,7 @@ RUN echo 'deb http://httpredir.debian.org/debian testing main' >> /etc/apt/sourc
hicolor-icon-theme \
libgl1-mesa-dri \
libgl1-mesa-glx \
libpulse0 \
libpulse0 \
libv4l-0 \
-t testing \
fonts-symbola \

View File

@ -28,7 +28,7 @@ RUN echo 'deb http://httpredir.debian.org/debian testing main' >> /etc/apt/sourc
hicolor-icon-theme \
libgl1-mesa-dri \
libgl1-mesa-glx \
libpulse0 \
libpulse0 \
libv4l-0 \
-t testing \
fonts-symbola \

View File

@ -1,11 +1,16 @@
FROM alpine:latest
FROM ruby:2-alpine
MAINTAINER Jessica Frazelle <jess@docker.com>
RUN apk --no-cache add \
build-base \
ca-certificates \
ruby \
ruby-dev \
&& gem install --no-document io-console t
RUN apk add --no-cache \
ca-certificates
RUN set -x \
&& apk add --no-cache --virtual .build-deps \
build-base \
&& gem install \
io-console \
t \
--no-rdoc --no-ri \
&& apk del .build-deps
ENTRYPOINT [ "t" ]